/* mchars.ads by Dan Cook (mirageOS version)
 *
 * Prints all the character values in a grid
 * using the small (variable width) font. Note
 * that all variables start with a defualt
 * value of zero unless they are tied to some
 * address (i.e. CurRow, PenRow, and PenCol).
 */

#include "mirage.ads"
#include "text.ads"

void main() {
    byte ch;
    .ClrHome();
    CurRow = PenRow = PenCol = 0;
    do {
        .TextC(ch);
        ch = ch + 1;
        if(PenCol >= 90) {
            PenCol = 0;
            PenRow = PenRow + 6;
        }
    } while(ch < 255);
}