#ifdef TI83_PLUS
	byte CurCol @ "CurCol"; byte CurRow @ "CurRow";
	byte PenCol @ "PenCol"; byte PenRow @ "PenRow";

	#define "HomeUp ( )" as @" B_CALL(_HomeUp)", "TRUE "
	#define "NewLine ( )" as @" B_CALL(_NewLine)"
	#define "ClrLCD ( )" as @" B_CALL(_ClrLCDFull)"
	#define "ClrText ( )" as @" B_CALL(_ClrTxtShad)"
	#define "ClrHome ( )" as @" B_CALL(_ClrScrnFull)"

	#define "B_CALL (", romcall, ")" as @" B_CALL(", @romcall, @")"

	#define "Cursor (", position, ")" as @" LD HL,", @position, @"\n LD (CurRow),HL"
	#define "Cursor (", row, column, ")"
		as @" LD A,", @row, @"\n LD (CurRow),A\n LD A,", @column, @" LD (CurCol),A"
	#define "Pen (", position, ")" as @" LD HL,", @position, @"\n LD (PenRow),HL"
	#define "Pen (", row, column, ")"
		as @" LD A,", @row, @"\n LD (PenRow),A\n LD A,", @column, @" LD (PenCol),A"

	#define "Put (", char, ")" as @" LD A,", @char, @"\n B_CALL(_PutMap)"
	#define "Put (", char, row, column, ")"
		as @" LD A,", @row, @"\n LD (CurRow),A\n LD A,", @column,
		@"\n LD (CurCol),A\n LD A,", @char, @"\n B_CALL(_PutMap)"
	#define "DispC (", char, ")" as @" LD A,", @char, @"\n B_CALL(_PutC)"
	#define "DispC (", char, row, column, ")"
		as @" LD A,", @row, @"\n LD (CurRow),A\n LD A,", @column,
		@"\n LD (CurCol),A\n LD A,", @char, @"\n B_CALL(_PutC)"
	#define "DispS (", string, ")" as @" LD HL,", @&string, @"\n B_CALL(_PutS)"
	#define "DispS (", string, row, column, ")"
		as @" LD A,", @row, @"\n LD (CurRow),A\n LD A,", @column,
		@"\n LD (CurCol),A\n LD HL,", @&string, @"\n B_CALL(_PutS)"
	#define "TextC (", char, ")" as @" LD A,", @char, @"\n B_CALL(_VPutMap)"
	#define "TextC (", char, row, column, ")"
		as @" LD A,", @row, @"\n LD (CurRow),A\n LD A,", @column,
		@"\n LD (CurCol),A\n LD A,", @char, @"\n B_CALL(_VPutMAP)"
	#define "TextS (", string, ")" as @" LD HL,", @&string, @"\n B_CALL(_VPutS)"
	#define "TextS (", string, row, column, ")"
		as @" LD A,", @row, @"\n LD (CurRow),A\n LD A,", @column,
		@"\n LD (CurCol),A\n LD HL,", @&string, @"\n B_CALL(_VPutS)"
	#define "DispByte (", number, ")"
		as @" LD HL,", @number, @"\n LD H,0\n B_CALL(_DispHL)"
	#define "DispByte (", number, row, column, ")"
		as @" LD A,", @row, @"\n LD (CurRow),A\n LD A,", @column,
		@"\n LD (CurCol),A\n LD HL,", @number, @"\n LD H,0\n B_CALL(_DispHL)"
	#define "DispWord (", number, ")" as @" LD HL,", @number, @"\n B_CALL(_DispHL)"
	#define "DispWord (", number, row, column, ")"
		as @" LD A,", @row, @"\n LD (CurRow),A\n LD A,", @column,
		@"\n LD (CurCol),A\n LD HL,", @number, @"\n B_CALL(_DispHL)"

	#define "TextInverseOn ( )" as @" SET TextInverse,(IY+TextFlags)"
	#define "TextInverseOff ( )" as @" RES TextInverse,(IY+TextFlags)"
	#define "LargeTextOn ( )" as @" SET FracDrawLFont,(IY+FontFlags)"
	#define "LargeTextOff ( )" as @" RES FracDrawLFont,(IY+FontFlags)"
	#define "AutoScrollOn ( )" as @" SET AppAutoScroll,(IY+AppFlags)"
	#define "AutoScrollOff ( )" as @" RES AppAutoScroll,(IY+AppFlags)"
#endif
#eof